////////////////////////////////////////////////////////////////////////////
// CDoorClient クラスのインタフェース宣言
// doorのクライアント
////////////////////////////////////////////////////////////////////////////

#if !defined( DOORCLIENT_H_INCLUDED_ )
#define DOORCLIENT_H_INCLUDED_

#include "NegCmd.h"
#include "VPtr.h"

#include <string>

using namespace std;

class CDoorClient
{
public:
	CDoorClient();
	~CDoorClient();

	// Doorを開く
	bool Open( const char *pFnmae );

	// Doorを呼び出す
	NNabikiVPtr::VPtr< char > Call( const CNegCmd *cmd, bool *pSrvDownFlg = NULL ) const;

	// 閉じる
	void Close();

	// doorを開いているか否か
	bool Enable() const;

	// doorが使用可能か否か確認する
	static bool CheckDoor( const char *pFnmae );
	static bool CheckDoor( int dd );

protected:
	int DoorDescriptor;	// doorのディスクリプタ
};

#endif // DOORCLIENT_H_INCLUDED_

